import request from '@/utils/request'

// 查询Document列表
export function listDocument11691998078000(query) {
  return request({
    url: '/forms/api/gen/Document11691998078000/list',
    method: 'get',
    params: query
  })
}

// 查询Document详细
export function getDocument11691998078000(id) {
  return request({
    url: '/forms/api/gen/Document11691998078000/' + id,
    method: 'get'
  })
}

// 增量初始化
export function addInitApijsonConfig(id) {
  return request({
    url: '/forms/api/get',
    method: 'post',
    data: {
		"id": id,
		"data()": "addInitApijsonConfig(document,id)"
	}
  })
}

// 新增Document
export function addDocument11691998078000(data) {
  return request({
    url: '/forms/api/gen/Document11691998078000',
    method: 'post',
    data: data
  })
}

// 修改Document
export function updateDocument11691998078000(data) {
  return request({
    url: '/forms/api/gen/Document11691998078000',
    method: 'put',
    data: data
  })
}

// 删除Document
export function delDocument11691998078000(id) {
  return request({
    url: '/forms/api/gen/Document11691998078000/' + id,
    method: 'delete'
  })
}
